=== debian/changelog ===
ros-kinetic-melfa-driver (0.0.4-0xenial) xenial; urgency=high

  * Fix wrong install location(#25 <https://github.com/tork-a/melfa_robot/issues/25>)
  * Fix minor typo(#20 <https://github.com/tork-a/melfa_robot/issues/20>)
  * Contributors: Ryosuke Tajima, Wolf Vollprecht

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 25 Feb 2019 15:00:00 -0000

ros-kinetic-melfa-driver (0.0.2-0xenial) xenial; urgency=high

  * Add LICENSE and notification on source code(#18 <https://github.com/tork-a/melfa_robot/issues/18>)
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 15 Dec 2018 15:00:00 -0000

ros-kinetic-melfa-driver (0.0.1-0xenial) xenial; urgency=high

  * Remove check.sh for eliminating catkin_lint warning
  * Add jointx_is_linear parameter for the linear base(#17 <https://github.com/tork-a/melfa_robot/issues/17>)
  * rename melfa_ros to melfa_robot
  * Add additional joints(#13 <https://github.com/tork-a/melfa_robot/issues/13>)
  * Add use_joint7 and use_joint8 parameters
  * Pull request for the first delivery(#5 <https://github.com/tork-a/melfa_robot/issues/5>)
  * Change author email
  * Expand joint number to 8 only for acutal robot check
  * Add realtime feature and docs(#3 <https://github.com/tork-a/melfa_robot/issues/3>)
  * Improve driver and loopback node, add diagnostics
    - Make loopback node periodic considering the hardware specs
    - Add diagnotics to see period over-run
  * Disable realtime in tests
  * Make loopback node realtime
  * Add realtime feature and docs
  * Change test to wait topic for 30s
  * Add more dependencies
  * Check node list before test
  * Add package dependencies
  * Add .travis.yml for CI
  * Add moveit configuration files(#2 <https://github.com/tork-a/melfa_robot/issues/2>)
    - Confirmed to work with RT-ToolBox
  * Add URDF and mesh files(#1 <https://github.com/tork-a/melfa_robot/issues/1>)
  * Change driver to use melfa_description
  * Add ROS_INFO for robot_ip
  * Improve UDP error handling not to abort
  * Add first test
  * Fix integer size incompatibility of the packet
  * Add melfa_loopbacknode for test
  * First commit
    - Proof of function
    - This can control RT-Toolbox3 simulator
    - All parameters are hard-coded
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 13 Dec 2018 15:00:00 -0000
